﻿/**
 * Battle inteface text fields.
 * Текстовые поля боевого интерфейса.
 */
{
  // Definitions.
  // Шаблоны.
  "def": {
    // Панель ХП команд fallout
	"totalHP_bg": { // фоновая подложка
      "enabled": true,
      "x": -2,
      "y": -1,
	  "width": 895,
      "height": 49,
      "screenHAlign": "center",
	  "format": "<img src='xvm://res/icons/totalHP/fallout/bg.png'>"
    },
	"totalHP_line_ally": { // полоса хп союзников
	  "$ref": { "path":"def.totalHP_bg" },
      "updateEvent": "PY(ON_UPDATE_HP)",
	  "x": "{{py:math.sum({{py:math.div({{py:xvm.total_hp.ally(68)}},-2)}}, -21)}}",
      "y": 10,
	  "width": "{{py:xvm.total_hp.ally(70)}}",
      "height": 11,
	  "bgColor": "0x5ACB00",
	  "alpha": 50	  
	},
	"totalHP_line_enemy": { // полоса хп противников
	  "$ref": { "path":"def.totalHP_line_ally" },
	  "x": "{{py:math.sum({{py:math.div({{py:xvm.total_hp.enemy(68)}},2)}}, 21)}}",
	  "width": "{{py:xvm.total_hp.enemy(70)}}",
	  "bgColor": "0xF30900"
	},
	"totalHP_frags_ally": { // фраги союзников
	  "$ref": { "path":"def.totalHP_bg" },
      "updateEvent": "PY(ON_UPDATE_HP)",
      "x": -12,
      "y": 4,
	  "width": 30,
      "height": 30,
      "screenHAlign": "center",
	  "shadow": { "distance": 1, "angle": 90, "alpha": 80, "blur": 5, "strength": 1.5 },
      "textFormat": { "font": "$TitleFont", "size": 15, "align": "center" },
	  "format": "{{py:sp.allyFrags}}"
	},
	"totalHP_frags_enemy": { // фраги противников
	  "$ref": { "path":"def.totalHP_frags_ally" },
      "x": 12,
      "format": "{{py:sp.enemyFrags}}"
	},
	"totalHP_Bg_advant": { // стрелка перевеса по хп
	  "$ref": { "path":"def.totalHP_bg" },
	  "updateEvent": "PY(ON_UPDATE_HP)",
      "x": -2,
      "y": -1,
	  "format": "{{py:math.sub({{py:xvm.total_hp.ally}}, {{py:xvm.total_hp.enemy}})>0?<img src='xvm://res/icons/totalHP/fallout/ally_sing.png'>|<img src='xvm://res/icons/totalHP/fallout/enemy_sing.png'>}}"
 	  },
	"totalHP_Bg_sing": { // центральный фон
	  "$ref": { "path":"def.totalHP_bg" },
	  "y": -1,
	  "format": "<img src='xvm://res/icons/totalHP/fallout/sing.png'>"
    },
	"totalHP_sing": { // центральный маркер
	  "$ref": { "path":"def.totalHP_frags_ally" },
      "x": 0,
      "y": 4,
      "format": "<font size='15' color='{{py:math.sub({{py:xvm.total_hp.ally}}, {{py:xvm.total_hp.enemy}})>0?#5ACB00|#F30900}}'>|</font>"
    },
    "totalHP_advant": { // перевес по хп
	  "$ref": { "path":"def.totalHP_sing" },
      "y": 26,
	  "width": 160,
      "format": "<font size='18' color='{{py:math.sub({{py:xvm.total_hp.ally}}, {{py:xvm.total_hp.enemy}})>0?#5ACB00|#F30900}}'>{{py:math.sub({{py:xvm.total_hp.ally}}, {{py:xvm.total_hp.enemy}})}}</font>"
    },
	"totalHP_ally": { // хп союзников 
	  "$ref": { "path":"def.totalHP_frags_ally" },
      "x": -115,
	  "width": 70,
      "format": "{{py:xvm.total_hp.ally}}"
    },
	"totalHP_enemy": { // хп противников
	  "$ref": { "path":"def.totalHP_ally" },
      "x": 115,
      "format": "{{py:xvm.total_hp.enemy}}"
    },
	"totalHP_avgDamage": { // средний урон на технике
	  "enabled": true,
	  "$ref": { "path":"def.totalHP_frags_ally" },
      "x": -170,
	  "y": 2,
	  "width": 60,
      "height": 35,
	  "alpha":  "{{battletype!=regular?0|100}}",
      "textFormat": { "font": "$TitleFont", "color": "0xE0E06D", "size": 15, "align": "right" },
      "format": "{{py:xvm.total_hp.avgDamage('',{{hitlog.dmg-total}})?{{py:xvm.total_hp.avgDamage('',{{hitlog.dmg-total}})}}<img src='img://gui/maps/icons/vehParams/small/avgDamagePerMinute.png' width='22' height='22' align='baseline' vspace='-6'>}}"
    },
	"totalHP_mainGun": { // основной калибр 
	  "enabled": true,
	  "$ref": { "path":"def.totalHP_avgDamage" },
      "x": 185,
	  "y": 4,
	  "width": 100,
      "textFormat": { "font": "$TitleFont", "color": "0xE0E06D", "size": 15, "align": "left" },
      "format": "<img src='img://gui/maps/icons/achievement/mainGun.png' width='22' height='22' align='baseline' vspace='-21'>{{py:xvm.total_hp.mainGun('', {{hitlog.dmg-total}})}}"
	}
  }
}
